* Appending the 3 SESE datasets together
* A Kerr, Jan 2014


	clear all
	set more off
	global mergefolder "C:\Users\admin\Desktop\Andy\DataFirst\SESE\SESEmerge"
	
	
	use "$mergefolder\sese2001"

	append using  "$mergefolder\sese2005"
	replace year=2005 if year==.
	append using  "$mergefolder\sese2009"
	
	append using  "$mergefolder\sese2013"
	
	keep uqnr /*personid*/ personnr busnumber year weight age gender popgroup emppaid empunpaid emppaid1yr empunpaid1yr singleowner partnersinhh	///
	numhhpartners partnersinothhh numothpartners recordtype firmage monthoperate location toilettype indus elecavail sales otherinc profit avgprofit	///
	suppliescost rawmatamt elec water fuel spares rentprem rentequip office transport repairs busservices insmort protection other wages	///
	inkind trans otherlabcost wagesown inkindown transown otherown currentdebt debtsize startupk ownstartupk startupkamt startupkcoop	///
	startupkcoopamt	startupkother	startupkothamt	startupkborrowany	startupkborrowamt license incometax uif paylocation expseparate whynooperate ///
	startreason assistmostimp empunpft emppft empunpt empppt emppmale emppfemale empunpmale empunpfemale emppblack empunpblack emppcoloured empunpcoloured ///
	emppindian empunpindian	emppwhite empunpwhite invmach invmachamt invtools invtoolsamt invvehicle invvehicleamt invbuilding invbuildingamt ///
	invfurniture invfurnitureamt invother invotheramt ///
	ceweight2 pweight province ea stratum  urbrur urbrur2 metro inperson marstat age yrseduc educhigh1 educhigh2 enrollment3 empstat1 ///
	empstat2 employer jobocccode occupation industry jobindcode numworkers jobstartyear jobstartmonth hrslstwk earnings outlier ///
	hhsize numemployed numwageemployed numselfemployed numkids numold
	
	*now do recoding of missings and creation of some new variables. 
	numlabel, add force
	
/*
	gen cpi=1 if year==2009
	replace cpi=129.5/(108.9*1.6) if year==2005
	replace cpi=106.2/(108.9*1.6) if year==2001
	*/
	
	gen cpi=1 if year==2013
	replace cpi=1/1.218 if year==2009
	replace cpi=129.5/(108.9*1.6*1.218) if year==2005
	replace cpi=106.2/(108.9*1.6*1.218) if year==2001
	
	*figures taken from various stats sa versions of P0141, 2008 was a rebased year hence the *1.6 above, see P0141 Jan 2010 vs P0141 Dec 2008 and Sept 2013 
	*http://www.statssa.gov.za/publications2/P0141/P0141September2013.pdf
	label var cpi "CPI from P0141 series by Stats SA, revised so that SESE 2013 is the base year"
	
	
	
	*here I'm trying to standardise n/a and unspecified type of codes across waves, AFTER having done the labelling of ALL options in the relevant sesemerge`wave' do file. 
	replace partnersinhh=8 if partnersinhh==0
	replace partnersinothhh=8 if partnersinothhh==0
	replace elecavail=8 if elecavail==3
	replace startupk=8 if startupk==0
	replace toilettype=88 if toilettype==9
	replace ownstartupk=8 if ownstartupk==0
	replace startupkborrowany=8 if startupkborrowany==0
	
	*some of the investment questions were wrongly coded by Stats SA, here I fix that: 
	replace invmach=2 if invmach==1
	replace invmach=1 if invmach==0 | invmach==9
	replace invtools=2 if invtools==1
	replace invtools=1 if invtools==0 | invtools==9
	replace invvehicle=2 if invvehicle==1
	replace invvehicle=1 if invvehicle==0 | invvehicle==9
	replace invbuilding=2 if invbuilding==1
	replace invbuilding=1 if invbuilding==0 | invbuilding==9
	replace invfurniture=2 if invfurniture==1
	replace invfurniture=1 if invfurniture==0 | invfurniture==9
	replace invother=2 if invother==1
	replace invother=1 if invother==0 | invother==9
	

	
	*new way of doing missings- not converting to . but need to make missing codes consistent across waves when possible
	replace suppliescost =888888 if suppliescost==88888
	replace suppliescost =999999 if suppliescost==99999
	replace sales=999999 if sales==99999
	replace inkind=88888 if inkind==8888
	replace trans=88888 if trans==8888
	replace otherlabcost=88888 if otherlabcost==888
	replace otherlabcost=99999 if otherlabcost==999999
	replace startupkamt=8888888 if startupkamt==88888
	replace startupkamt=9999999 if startupkamt==99999 |startupkamt==999999
	replace startupkborrowamt=9999999 if startupkborrowamt==999999
	replace  rawmatamt= 888888 if  rawmatamt==8888
	replace  rawmatamt= 999999 if  rawmatamt==9999
	replace fuel =99999 if fuel==9999
	replace repairs =99999 if repairs==9999
	replace busservices=99999 if busservices==9999
	replace insmort =99999 if insmort ==9999
	replace other=99999 if other==9999
	replace profit=999999 if profit==99999
	replace avgprofit=999999 if avgprofit==99999
	replace debtsize=9999999 if debtsize==99999 |  debtsize==999999
	replace invvehicleamt=8888888 if invvehicleamt==88888
	replace invbuildingamt=888888 if invbuildingamt==88888
	
	replace emppcoloured=88 if emppcoloured==888
	replace empunpcoloured  =88 if empunpcoloured  ==888
	replace emppindian=88 if emppindian==888
	replace empunpindian   =88 if empunpindian==888
	replace emppwhite=88 if emppwhite==888
	
	
	
	*standardising more missing codes, Feb 2015
	replace paylocation=8 if paylocation==3
	replace expseparate=8 if expseparate==0
	replace whynooperate=88 if whynooperate==0 | (whynooperate==99 & year==2005)
	
	*small change in startreason var in 2013:
	replace startreason=14 if startreason==3 &year==2013
	replace startreason=startreason-1 if startreason>3 & startreason <12 &year==2013
	replace startreason=11 if startreason==13 &year==2013
	replace startreason=13 if startreason==14 &year==2013
	
	*here I adjust stratum to be 2 different variables since 2009 and 2013 are the same but 2001 is not
	gen stratum2=stratum if year ==2009 | year==2013
	replace stratum=. if year==2009 | year==2013
	
	

	*Here I relabel some variables that are merged in from PALMS
	label var pweight "Stats SA person weight from (Q)LFS"
	label var ceweight2 "From PALMS: Cross Entropy weight: ASSA2008 midyear estimates"
	label var prov "From PALMS: Province"
	label var urbrur "From PALMS: location type (2001 only)"
	label var urbrur2 "From PALMS: location type (2009 and 2013 only)"
	label var stratum "From PALMS: stratum (2001 only)"
	label var stratum2 "From PALMS: stratum (2009 and 2013 only)"
	label var metro "From PALMS: metro code (2009 and 2013 only)"
	label var ea "From PALMS: Primary Sampling Unit number"
	label var inperson "From PALMS: Is the person responding in person?"
	label var age "From PALMS: Owner's Age"
	label var marstat "From PALMS:  Owner's Marital Status"
	label var yrseduc "From PALMS: Owner's Years of education, derived variable"
	label var educhigh1 "From PALMS: Owner's Highest level of Education (2001 only)"
	label var educhigh2 "From PALMS: Owner's Highest level of Education (2009 and 2013  only)"
	label var enrollment3 "From PALMS: Owner's  Enrollment (2001 only)"
	label var empstat1 "From PALMS: Owner's Employment status, official"
	label var empstat2 "From PALMS: Owner's Employment status, expanded"
	label var employer "From PALMS: Who does ... work for in main job (2001  only)"
	label var jobocccode "From PALMS: 1 digit occupation code"
	label var occupation "From PALMS: 4 digit occupation code"
	label var industry "From PALMS: 3 digit industry code"
	label var jobindcode "From PALMS: 1 digit industry code"
	label var indus "1 digit industry code from SESE"
	label var numworkers "From PALMS: Number of regular workers at job (2001  only)"

	label var jobstartyear "From PALMS:  Year started working in this job"
	label var jobstartmonth "From PALMS: Month started working in this job"
	label var hrslstwk "From PALMS: Hours worked in total in last 7 days"
	label var earnings "From PALMS: consistent monthly earnings (rand amt) variable  (not in 2013)"
	label var outlier "From PALMS: regression based outlier flag showing a studentised residual with value of 5+ (not in 2013)"
	
	label var hhsize "(derived) from PALMS: household size"
	label var numemployed "(derived) from PALMS: Number of employed in hh excl business owner"
	label var numwageemployed "(derived) from PALMS: Number of wage employed in hh excl business owner"
	label var numselfemployed "(derived) from PALMS: Number of self-employed in hh excl business owner"
	label var numkids "(derived) from PALMS: Number of <15 in the hh"
	label var numold "(derived) from PALMS: Number of 65+ in the hh"
	
	
	order uqnr /*personid*/ personnr weight busnumber year  gender popgroup location paylocation  recordtype expseparate license incometax uif  monthoperate whynooperate firmage startreason  ///
	singleowner partnersinhh numhhpartners partnersinothhh numothpartners  ///
	emppaid1yr empunpaid1yr emppaid empunpaid empunpft emppft ///
	empunpt empppt emppmale emppfemale empunpmale empunpfemale emppblack empunpblack emppcoloured empunpcoloured emppindian empunpindian emppwhite empunpwhite ///
	suppliescost wages inkind trans otherlabcost rawmatamt elec water fuel spares rentprem rentequip office transport repairs busservices insmort protection other wagesown inkindown transown otherown ///
	sales otherinc profit avgprofit ///
	currentdebt debtsize    ///
	invmach invmachamt invtools invtoolsamt invvehicle invvehicleamt invbuilding invbuildingamt ///
	invfurniture invfurnitureamt invother invotheramt ///
	startupk ownstartupk startupkamt startupkcoop startupkcoopamt ///
	startupkother startupkothamt startupkborrowany startupkborrowamt toilettype elecavail assistmostimp ///
	 province ea stratum stratum2  urbrur urbrur2 metro ceweight2 pweight inperson marstat age yrseduc educhigh1 educhigh2 enrollment3 empstat1 ///
	empstat2 employer jobocccode occupation industry jobindcode indus numworkers jobstartyear jobstartmonth hrslstwk earnings outlier ///
	hhsize numemployed numwageemployed numselfemployed numkids numold
	
	
	label data "ESS (Employers and Self-employed Series) data: Sept 2001, 2005, 2009 and 2013, based on SESE data from Stats SA"
	notes drop _dta

	note: ESS (Employers and Self-employed Series) data, created by Andrew Kerr from Survey of Employers and Self-employed data, February 2015
	datasignature set, reset
	
	sort year
	save "$mergefolder\ESSv1.3.dta", replace
