*getting SESE 2001 ready to merge with other SESEs
*A Kerr, Jan 2014
*Modified March 2015.


clear all
set more off

global mergefolder "C:\Users\admin\Desktop\Andy\DataFirst\SESE\SESEmerge"
global data01 "C:\Users\admin\Desktop\Andy\DataFirst\SESE\2001"
global palmsdata "C:\Users\admin\Desktop\Andy\DataFirst\main project\PALMS"



*adding in some code that was in the "sese.do" file


*use costs data
use "$data01\SESE 2001 v1.2\SESE 2001 Costs_v1.2.dta"
renvars, lower

rename uqnr pid
order pid uqnr1
destring uqnr1-stratum, replace
label var pid "person id number"
order pid uqnr
sort pid
duplicates tag pid, gen(tag)
*so there are lines for each business. Going to drop multiple businesses and keep first one for the moment, ie dropping 4.5% of records
tab tag
drop tag
*assert tag==0
sort pid busnr
save "$data01\sesecosts", replace


use "$data01\SESE 2001 v1.2\SESE 2001 Location_v1.2.dta", replace
renvars, lower
rename uqnr pid
label var pid "person id number"
order pid uqnr1
destring uqnr1-weight, replace

duplicates tag pid, gen(tag)
*drop if busnr!=1
*assert tag==0
order pid uqnr1
sort pid busnr
save "$data01\seselocation", replace


use "$data01\SESE 2001 v1.2\SESE 2001 Operation_v1.2.dta", replace
renvars, lower
rename uqnr pid
label var pid "person id number"
order pid uqnr1
destring uqnr1-weight, replace

duplicates tag pid, gen(tag)
tab tag
drop tag
*assert tag==0
order pid uqnr1
sort pid busnr
save "$data01\seseoperation", replace


merge 1:1 pid busnr using "$data01\seselocation"
tab _merge
drop _merge
save "$data01\sesetemp", replace

merge 1:1 pid busnr using "$data01\sesecosts"
rename uqnr1 uqnr
rename pid personid
save "$data01\sese", replace

	*need to drop value labels - I redo the ones I want below
	label drop _all
	foreach var of varlist _all {
	capture _strip_labels `var'
	}

*now that I've put the data together above I start to work on it below.

gen str20 tempid=string(uqnr, "%16.0f" )
	drop uqnr
	rename tempid uqnr
	drop _merge


quietly do "$mergefolder\renamesese2001.do"
quietly do "$mergefolder\seselabelvars.do"
quietly do "$mergefolder\seselabeldefine.do"
quietly do "$mergefolder\seselabelvalues.do"

	save "$mergefolder\sese2001", replace

use "$palmsdata\palmsv2.2.dta", replace

	keep if wave==9
	gen wageemployed=1 if empstat1==1 & employer==1
	gen selfemployed=1 if empstat1==1 & employer==4

	keep uqnr personnr ceweight2 pweight province urbrur  ea inperson age marstat yrseduc educhigh1 enrollment3 empstat1 empstat2 employer jobocccode occupation industry jobindcode numworkers jobstartyear jobstartmonth hrslstwk earnings outlier wageemployed selfemployed regisvat
	*keep uqnr personnr ceweight2 pweight province urbrur  ea inperson age marstat yrseduc educhigh1 enrollment3 empstat1 empstat2 employer jobocccode occupation industry jobindcode numworkers jobstartyear jobstartmonth hrslstwk earnings outlier wageemployed selfemployed regisvat unpaidfam unpaidnonvatemployee wagenovat subsistag
	
	*here I can put in some hh level variables: no of employed excl the business owner, no of wage earners, no of self-employed, hh size, no of kids, no of old
	*what else?
	sort uqnr
	by uqnr: egen hhsize=count(personnr)
	gen employed=1 if empstat1==1
	by uqnr: egen numemployed=total(employed)
	replace numemployed=numemployed-1 if empstat1==1
	*this is now going to vary within hh but that is ok- if Im unemployed and you're employed and we live in the same hh then the num employed excluding ourselves is n for me and n-1 for you.
	gen kid=1 if age<15
	by uqnr: egen numkids=total(kid)
	gen old =1 if age>65
	by uqnr: egen numold=total(old)
	
		by uqnr: egen numwageemployed=total(wageemployed)
		replace numwageemployed=numwageemployed-1 if wageemployed==1
		by uqnr: egen numselfemployed=total(selfemployed)
		replace numselfemployed=numselfemployed-1 if selfemployed==1
		
	drop kid old employed wageemployed /*selfemployed*/
	
	sort uqnr personnr
	merge 1:m uqnr personnr  using "$mergefolder\sese2001"
		*is this the non-response rate: I think so...
		tab _merge if regisvat==2 & selfemployed==1

	drop regisvat
	
	keep if _merge==3
	drop _merge
	
	gen double year =2001
	label var year "Year of survey"
	save "$mergefolder\sese2001", replace
	exit
