*getting SESE 2005 ready to merge with other SESEs
*A Kerr, Jan 2014


clear all
set more off

global mergefolder "C:\Users\admin\Desktop\Andy\DataFirst\SESE\SESEmerge"
global data05 "C:\Users\admin\Desktop\Andy\DataFirst\SESE\2005\Data\Stata v10+"
global palmsdata "C:\Users\admin\Desktop\Andy\DataFirst\main project\PALMS"


*2005 needs much more work than 2001 because there are some problems with the data- business number is not correct in some of the data files and this creates problems when merging.
use "$data05\SESE 2005 General_v1.1.dta"
renvars, lower
 duplicates tag unqr personnr busnr, gen(tag)
 tab tag
 duplicates drop unqr personnr busnr, force

save "$mergefolder\mergetemp", replace

*try and fix the "Business" dataset here
	use "$data05\SESE 2005 Business_v1.1.dta", replace
	duplicates tag  Unqr Personnr, gen(tag)
	list  Unqr Personnr BusNr if tag>0
	*problem is the BusNr is just wrong! Need to fix...
	drop BusNr tag
	sort Unqr Personnr
	by  Unqr Personnr: gen BusNr =_n
	*this is working but there seem to be problems with the BusNr data in the other data too!!
	*better to perhaps leave this until after the merging (unless this affects all the datasets??!
	by  Unqr Personnr: egen businesses=count (BusNr)
	
	drop PSU Gender Popgrp Prov Age Agegrp Q4VAT
	renvars, lower
	duplicates tag unqr personnr busnr, gen(tag)
	tab tag
	duplicates drop unqr personnr busnr, force

	save "SESE 2005 Business_AK.dta", replace
	
	
	*now back to merging the data together:
	use "$mergefolder\mergetemp", replace

 local i 1
 foreach name in /*"SESE 2005 Business_v1.1.dta"*/ "SESE 2005 Capital_v1.1.dta" "SESE 2005 Cost_v1.1.dta" "SESE 2005 Expenditure_v1.1.dta" ///
				"SESE 2005 Operations_v1.1.dta" "SESE 2005 Transport_v1.1.dta"  {
       
		use "$data05\\`name'", replace
				drop PSU Gender Popgrp Prov Age Agegrp Q4VAT
		renvars, lower
		duplicates tag unqr personnr busnr, gen(tag)
		tab tag
		duplicates drop unqr personnr busnr, force
		merge 1:1 unqr personnr busnr using "$mergefolder\mergetemp"
		tab _merge
		rename _merge merge`i'
		save "$mergefolder\mergetemp.dta", replace
		local i=`i'+1
        }


		*here is where I should fix the BusNr var so I can then add back the "Business" data, 
		*which now has corrected BusNr var...
		sort  unqr personnr
		by   unqr personnr: egen businesses=count (busnr)
		drop busnr
		by   unqr personnr: gen busnr=_n

		merge 1:1 unqr personnr busnr using "$data05\SESE 2005 Business_AK.dta"
		*so this merge is getting almost everything right! Need to fix 4 obs but do that later...
		drop if _merge!=3

		label drop _all
		foreach var of varlist _all {
		capture _strip_labels `var'
		}

quietly do "$mergefolder\renamesese2005.do"
quietly do "$mergefolder\seselabelvars.do"
quietly do "$mergefolder\seselabeldefine.do"
quietly do "$mergefolder\seselabelvalues.do"

	*create 1 digit ind code from 3 digit:
	gen indus=int(indus3digit/100)
	replace indus=99 if indus3digit==999

	
	destring personnr, replace
	drop _merge
	sort uqnr personnr
	
	gen year =2005
	save "$mergefolder\sese2005.dta", replace

	exit
	
	*below is not working, haven't yet managed to merge LFS and SESE! Need to work on...
	
use "$palmsdata\palmsv2.dta", replace

	keep if wave==18
	keep uqnr personnr ceweight2 prov urbrur ea age marstat yrseduc educhigh1 enrollment3 empstat1 empstat2 employer jobocccode occupation industry jobindcode numworkers jobstartyear jobstartmonth hrslstwk earnings outlier
	


	sort uqnr personnr
	merge 1:m uqnr personnr using "$mergefolder\sese2005.dta"
	keep if _merge==3
	drop _merge
	save "$mergefolder\sese2005", replace
	exit
