*getting SESE 2009 ready to merge with other SESEs
*A Kerr, Jan 2014


clear all
set more off

global mergefolder "C:\Users\admin\Desktop\Andy\DataFirst\SESE\SESEmerge"
global data09 "C:\Users\admin\Desktop\Andy\DataFirst\SESE\2009\Data\Stata\Stata12"
global palmsdata "C:\Users\admin\Desktop\Andy\DataFirst\main project\PALMS"


use "$data09\SESE 2009_v1.1.dta"
renvars, lower

label drop _all
	foreach var of varlist _all {
	capture _strip_labels `var'
	}

quietly do "$mergefolder\renamesese2009.do"
quietly do "$mergefolder\seselabelvars.do"
quietly do "$mergefolder\seselabeldefine.do"
quietly do "$mergefolder\seselabelvalues.do"

		
		save "$mergefolder\sese2009.dta", replace


	*here I merge in PALMS to get some other characteristics of the individual and hh. 
	use "$palmsdata\palmsv2.2.dta", replace

	keep if wave==29
	gen wageemployed=1 if empstat1==1 & employer2==1
	gen selfemployed=1 if empstat1==1 & (employer2==2 | employer2==3)
	keep uqnr personnr ceweight2 pweight ea stratum urbrur2 metro inperson marstat age yrseduc educhigh1 educhigh2  enrollment3 empstat1 empstat2 employer jobocccode occupation industry jobindcode numworkers jobstartyear jobstartmonth hrslstwk /*earnings outlier*/ wageemployed selfemployed regisvat
	*no earnings in 2009

	*adding in derived hh variables:
	sort uqnr
	by uqnr: egen hhsize=count(personnr)
	gen employed=1 if empstat1==1
	by uqnr: egen numemployed=total(employed)
	replace numemployed=numemployed-1 if empstat1==1
	*this is now going to vary within hh but that is ok- if Im unemployed and you're employed and we live in the same hh then the num employed excluding ourselves is n for me and n-1 for you.
	gen kid=1 if age<15
	by uqnr: egen numkids=total(kid)
	gen old =1 if age>65
	by uqnr: egen numold=total(old)
	
		by uqnr: egen numwageemployed=total(wageemployed)
		replace numwageemployed=numwageemployed-1 if wageemployed==1
		by uqnr: egen numselfemployed=total(selfemployed)
		replace numselfemployed=numselfemployed-1 if selfemployed==1
		


	drop kid old employed wageemployed 

	sort uqnr personnr
	merge 1:m uqnr personnr using "$mergefolder\sese2009"
		*is this the non response rate - I don't think so, previously I got 91%! Yes the 91% calc was wrong- I thought all weights would be scaled up but they werent! 
		*This way is right I think:
	tab _merge if regisvat==2 & selfemployed==1
	drop regisvat selfemployed
	
	

	keep if _merge==3
	drop _merge
		
	gen  year =2009
	save "$mergefolder\sese2009", replace
