
*FInally adding in SESE 2013 to ESS!
*October 2014
* A Kerr

clear all
set more off
global mergefolder "C:\Users\admin\Desktop\Andy\DataFirst\SESE\SESEmerge"
global data13 "C:\Users\admin\Desktop\Andy\DataFirst\SESE\2013"
global palmsdata "C:\Users\admin\Desktop\Andy\DataFirst\main project\PALMS"

use "$data13\SESE_2013_F1.dta"
renvars, lower


quietly do "$mergefolder\renamesese2013.do"
quietly do "$mergefolder\seselabelvars.do"
quietly do "$mergefolder\seselabeldefine.do"
quietly do "$mergefolder\seselabelvalues.do"

		sort uqnr personnr
		save "$mergefolder\sese2013.dta", replace

		*now incorporate PALMS, but since PALMS with 2013 data is not yet finalised, use version with data up to 2014 but w/o cleaned up income data...
		
		use "$palmsdata\palmsv2.2nowageadj.dta", replace
		keep if wave==45
		gen wageemployed=1 if empstat1==1 & employer2==1
		gen selfemployed=1 if empstat1==1 & (employer2==2 | employer2==3)
		keep uqnr personnr ceweight2 pweight ea stratum urbrur2 metro inperson marstat age yrseduc educhigh1 educhigh2  enrollment3 empstat1 empstat2 employer employer2 jobocccode occupation industry jobindcode numworkers jobstartyear jobstartmonth hrslstwk /*earnings outlier*/ wageemployed selfemployed regisvat

		
		*adding in derived hh variables:
	sort uqnr
	by uqnr: egen hhsize=count(personnr)
	gen employed=1 if empstat1==1
	by uqnr: egen numemployed=total(employed)
	replace numemployed=numemployed-1 if empstat1==1
	*this is now going to vary within hh but that is ok- if Im unemployed and you're employed and we live in the same hh then the num employed excluding ourselves is n for me and n-1 for you.
	gen kid=1 if age<15
	by uqnr: egen numkids=total(kid)
	gen old =1 if age>65
	by uqnr: egen numold=total(old)
	
		by uqnr: egen numwageemployed=total(wageemployed)
		replace numwageemployed=numwageemployed-1 if wageemployed==1
		by uqnr: egen numselfemployed=total(selfemployed)
		replace numselfemployed=numselfemployed-1 if selfemployed==1
	
	drop kid old employed wageemployed 
	
	
	*
	


	sort uqnr personnr
	merge 1:m uqnr personnr using "$mergefolder\sese2013"
	
	*is this the non response rate (higher than in 2001 and 2009!):
	tab _merge if regisvat==2 & selfemployed==1
	drop regisvat selfemployed
	
	keep if _merge==3
	drop _merge
		
	gen  year =2013
	save "$mergefolder\sese2013", replace

	*that was easy to merge!
